---
sourceDocument: Xanadu API Reference
sourceDocumentLink: https://servicenow-prod.fluidtopics.net/r/xanadu/api-reference

 Release :

    - xanadu

ft:locale :

    - en-US

ft:publication_title :

    - Xanadu API Reference

ft:clusterId :

    - crapiref

bundleId :

    - crapiref

workflow :

    - Creator


---

# WSD Search API

# WSD Search API {#ariaid-title1}

* Release version: Xanadu
* 
* Updated August 1, 2024
* 
* ![](https://www.servicenow.com/docs/portal-asset/ico-clock) 49 minutes to read

The Workplace Service Delivery (WSD) Search API provides endpoints to search for available locations and workplace items such as reservables, reservable modules, and available shifts.
To access this API, the caller must have the sn_wsd_core.workplace_user role and the Workplace
Safety Management (sn_wsd_core) and Workplace Reservation Management (sn_wsd_rsv) plugins must
be activated.

This API runs in the `sn_wsd_rsv` namespace.

For additional information on Workplace Reservation Management, see [Workplace Reservation
Management](https://www.servicenow.com/docs/access?context=workplace-rsv-mgmt-feat&version=xanadu&pubname=xanadu-employee-service-management&ft:locale=en-US).

## WSD Search - GET /api/sn_wsd_rsv/search/availability {#ariaid-title2}

Checks whether the specified reservables are available for the specified
times.

### URL format

Versioned URL:
/api/sn_wsd_rsv/{api_version}/search/availability

Default URL:
/api/sn_wsd_rsv/search/availability

### Supported request parameters

{#wsd_search-GET-availability__entry__2}{#wsd_search-GET-availability__version-not_optional-RESTAPI}

| Name | Description |
|-|-|
| api_version | Optional. Version of the endpoint to access. For example, <kbd class="ph userinput">v1</kbd> or <kbd class="ph userinput">v2</kbd>. Only specify this value to use an endpoint version other than the latest. Data type: String |
[Table 1. Path parameters]

{#wsd_search-GET-availability__entry__6}{#wsd_search-GET-availability__end-query-reserv-entry}{#wsd_search-GET-availability__include_reservations_within_days-reserv-entry}{#wsd_search-GET-availability__reservation_ids-reserv-entry}{#wsd_search-GET-availability__reservable_module-reserv-entry}{#wsd_search-GET-availability__schedule_view_obj-reserv-entry}{#wsd_search-GET-availability__schedule_view_obj-schedule_view_date-reserv-entry}{#wsd_search-GET-availability__schedule_view_obj-timezone-entry}{#wsd_search-GET-availability__start-query-reserv-entry}

| Name | Description |
|-|-|
| end | Required. End time to use to search for available reservable modules. This value must be later than the value specified in the start parameter. Data type: String Format: UTC or local time (yyyy-mm-dd hh:mm:ss) |
| include_reservations_within_days | Flag that indicates whether to return all free slots of available times in the response for each reservable for the whole day. Valid values: * true: Return all free slots. * false: Don't return all free slots. Data type: Boolean Default: false |
| reservable_ids | Required. Comma-separated list of reservable sys_ids to evaluate for availability. Located in the Workplace Location \[sn_wsd_core_workplace_location\] table. Data type: String |
| reservation_ids | Comma-separated list of existing reservation sys_ids. Pass this parameter if you want to edit the associated reservations. Located in the Workplace Reservation \[sn_wsd_rsv_reservation\] table. The time blocked for these sys_ids for the corresponding reservables are treated as available. Data type: String Default: None |
| reservable_module | Required. Sys_id of the reservable module to include in the search. A [reservable module](https://www.servicenow.com/docs/access?context=config-reservable-module&version=xanadu&pubname=xanadu-employee-service-management&ft:locale=en-US) groups similar types of workplace items. Located in the Reservable Module \[sn_wsd_rsv_reservable_module\] table. Data type: String |
| schedule_view_obj | Details about the schedule view to return. Pass this object if you need 24-hour availability data for reservations that span more than one day. The return results will only contain available times and reservations for the specified date. For this functionality to work properly, the parameters ignore_same_day_validation and include_reservations_within_days must be set to <kbd class="ph userinput">true</kbd>. Data type: Object "schedule_view_obj": { "schedule_view_date": "String", "timezone": "String" } |
| schedule_view_obj.schedule_view_date | Date for which to start returning reservation availability. This date must be in the time zone specified in the schedule_view_obj.timezone parameter. Data type: String Format: YYYY-MM-DD |
| schedule_view_obj.timezone | Building time zone to use to determine the reservation availability data to return. For example: US/Pacific. Data type: String |
| shift | Required if the specified reservable modules are based on a shift. Sys_id of the shift to associate with the reservation. Located in the Shift \[sn_wsd_core_shift\] table. If this parameter is passed in, the end parameter isn't required. For additional information on shift-based reservations, see [Enable shift-based reservation](https://www.servicenow.com/docs/access?context=wsd-reservation-setup&version=xanadu&pubname=xanadu-employee-service-management&ft:locale=en-US). Data type: String |
| start | Required. Start time to use to search for available reservable modules. This value must be prior to the value specified in the end parameter. Data type: String Format: UTC or local time (yyyy-mm-dd hh:mm:ss) |
[Table 2. Query parameters]

{#wsd_search-GET-availability__entry__28}

| Name | Description |
|-|-|
| None |   |
[Table 3. Request body parameters]

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#wsd_search-GET-availability__entry__32}{#wsd_search-GET-availability__accept-reserv-entry}

| Header | Description |
|-|-|
| Accept | Data format of the request body. Supported types: application/json, application/xml or, text/xml. Default: application/json |
[Table 4. Request headers]

{#wsd_search-GET-availability__entry__36}

| Header | Description |
|-|-|
| None |   |
[Table 5. Response headers]

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#wsd_search-GET-availability__entry__40}{#wsd_search-GET-availability__entry-200-status-code}{#wsd_search-GET-availability__entry-401-status-code}{#wsd_search-GET-availability__entry-404-status-code}{#wsd_search-GET-availability__entry-500-status-code}

| Status code | Description |
|-|-|
| 200 | Successful. The request was successfully processed. |
| 401 | Unauthorized. The user credentials are incorrect or have not been passed. |
| 404 | Not found. The requested item wasn't found. |
| 500 | Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error. |
[Table 6. Status codes]

### Response body parameters

{#wsd_search-GET-availability__entry__50}

| Name | Description |
|-|-|
| result | List of all available resevables for the specified times. Data type: Array of Objects "result": [ { "availableTimes": [Array], "building": {Object}, "campus": {Object}, "email": "String", "floor": {Object}, "is_available": Boolean, "name": "String", "reservations": [Array], "sys_id": "String" } ] |
| result.availableTimes | List of dates/times that the associated reservable is available. Data type: Array |
| result.building | Details about the building associated with the reservable. Data type: Object "building": { "display_value": "String", "name": "String", "sys_id": "String" } |
| result.building.display_value | Display value for the building. Data type: String |
| result.building.name | Name of the building. Data type: String |
| result.building.sys_id | Sys_id of the associated building record. Data type: String |
| result.campus | Details about the campus associated with the reservable. Data type: Object "campus": { "display_value": "String", "name": "String", "sys_id": "String" } |
| result.campus.display_value | Display number of the Campus on which the reservable resides, such as East Bay. Data type: String |
| result.campus.name | Name of the campus. Data type: String |
| result.campus.sys_id | Sys_id of the associated record. Located in the Campus \[sn_wsd_core_campus\] table. Data type: String |
| result.email | Email address for the associated reservable. Data type: String |
| result.floor | Details about the floor associated with the reservable. Data type: Object "floor": { "display_value": "String", "name": "String", "sys_id": "String" } |
| result.floor.display_value | Display number of the floor on which the reservable resides, such as 12. Data type: String |
| result.floor.name | Name of the floor on which the reservable resides. Data type: String |
| result.floor.sys_id | Sys_id of the associated record in the Floor \[sn_wsd_core_floor\] table. Data type: String |
| result.is_available | Flag that indicates whether the reservable is available to reserve. Valid values: * true: Available to reserve. * false: Not available to reserve. Data type: Boolean |
| result.name | Name of the reservable. Data type: String |
| result.reservations | Details about the associated reservation. Data type: Array of Objects "reservations": [ { "configuration_item": "String", "end": "String", "is_collided": Boolean, "location": {Object}, "number": "String", "requested_for": {Object}, "reservation_purpose": {Object}, "start": "String", "state": {Object}, "subject": "String", "sys_id": "String" } ] |
| result.reservations.configuration_item | Configuration items corresponding to the reservation. Located in the cmdb_ci table. Data type: String |
| result.reservations.end | Reservation end date and time. Data type: String Format: UTC: yyyy-mm-ddThh:mm:ssZ, such as 2021-02-05T18:00:00Z |
| result.reservations.is_collided | Flag that indicates whether the reservation collides with the start and end time of the search. This indicates that the associated reservable location is already reserved for the specified search timespan. Possible values: * true: Collision. * false: No collision. Data type: Boolean |
| result.reservations.location | Details about the location of the reservation. Data type: Object "location": { "location": "String", "timezone": {Object} } |
| result.reservations.location.location | Sys_id of the associated location record. Located in the Workplace Location \[sn_wsd_core_workplace_location\] table. Data type: String |
| result.reservations.location.timezone | Details about the time zone associated with the location. Data type: Object "timezone": { "displayValue": "String", "value": "String" } |
| result.reservations.location.timezone.​displayValue | Display value for the time zone to which this location belongs. Data type: String |
| result.reservations.location.timezone.value | Internal value for the time zone to which this location belongs. Data type: String |
| result.reservations.number | Reservation number. Data type: String |
| result.reservations.requested_for | Details about the person for whom the reservation was requested on behalf of. Data type: Object "requested_for": { "name": "String", "sys_id": "String" } |
| result.reservations.requested_for.name | Name of the user for whom the reservation was requested for. Data type: String |
| result.reservations.requested_for.sys_id | Sys_id of the user for whom the reservation is being requested. Located in the User \[sys_user\] table. Data type: String |
| result.reservations.reservation_purpose | Details about the purpose of the reservation. Data type: Object "reservation_purpose": { "display_value": "String," "value": "String" } |
| result.reservations.reservation_purpose.​display_value | Display value for the purpose of the reservation, such as Company meeting. Data type: String |
| result.reservations.reservation_purpose.value | Internal value for the purpose of the reservation, such as company_meeting. Data type: String |
| result.reservations.start | Reservation start date and time. Data type: String Format: UTC - yyyy-mm-ddThh:mm:ssZ, such as 2021-02-05T18:00:00Z |
| result.reservations.state | Details about the state of the reservation for the location. Data type: Object "state": { "display_value": "String," "value": "String" } |
| result.reservations.state.display_value | Display value for the current state of the reservation, such as confirmed. Data type: String |
| result.reservations.state.value | Internal value for the current state of the reservation, such as 2. Data type: String |
| result.reservations.subject | Reservation's subject. Data type: String |
| result.reservations.sys_id | Required. Sys_id of the reservation record. Located in the Workplace Reservation \[sn_wsd_rsv_reservation\] table. Data type: String |
[ ]

### cURL request

The following code example shows how to call this endpoint. Note: Line breaks have been added to the query parameters for easier reading.

    curl "https://instance.servicenow.com/api/sn_wsd_rsv/search/availability?
    reservable_module=5db44502dbb650106c731dcd13961937&
    start=2023-10-12T11:00:00Z&
    end=2023-10-15T12:00:00Z&
    reservable_ids=adb35f1977220110b3d7be377b5a99fc&
    reservation_ids=undefined&
    shift=undefined&
    schedule_view_obj={"schedule_view_date":"2023-10-12","timezone":"Europe/Paris"}&
    timezone=Europe/Paris&
    include_reservations_within_days=true&
    ignore_same_day_validation=true&
    include_unavailable_items=true"  \
    --request GET \
    --header "Accept:application/json" \
    --user "username":"password"

Return results:

    {
      "result": [
        {
          "sys_id": "fe1f744edb7650106c731dcd139619ca",
          "email": null,
          "name": "Aspen",
          "is_available": true,
          "availableTimes": [
            [
              "2022-04-23 07:00:00",
              "2022-04-23 08:30:00"
            ],
            [
              "2022-04-23 09:30:00",
              "2022-04-23 23:00:00"
            ],
            [
              "2022-04-24 00:00:00",
              "2022-04-24 06:59:59"
            ]
          ],
          "floor": {
            "sys_id": "2f554296dbba10106c731dcd139619ed",
            "display_value": "Floor 2",
            "name": "Floor 2"
          },
          "building": {
            "sys_id": "94e264cedb3650106c731dcd13961919",
            "display_value": "CAL-B1",
            "name": "CAL-B1"
          },
          "campus": {
            "sys_id": "82b2a0cedb3650106c731dcd139619e9",
            "display_value": "California Campus",
            "name": "California Campus"
          },
          "reservations": [
            {
              "sys_id": "5fe65830874bc9106342b846dabb352b",
              "number": "WRES0001001",
              "location": {
                "location": "fe1f744edb7650106c731dcd139619ca",
                "timezone": {
                  "value": "US/Pacific",
                  "displayValue": "US/Pacific"
                }
              },
              "configuration_item": null,
              "start": "2022-04-23T08:30:00Z",
              "end": "2022-04-23T09:30:00Z",
              "subject": null,
              "reservation_purpose": {
                "value": "meeting",
                "display_value": "Meeting"
              },
              "state": {
                "value": "confirmed",
                "display_value": "Confirmed"
              },
              "is_collided": false,
              "requested_for": {
                "sys_id": "2de07e1887cb89106342b846dabb35fe",
                "name": "Workplace User"
              }
            }
          ]
        }
      ]
    }

## WSD Search - GET /api/sn_wsd_rsv/search/best_match {#ariaid-title3}

Searches for the best reservable item match based on provided search
criteria.

### URL format

Versioned URL:
/api/sn_wsd_rsv/{api_version}/search/best_match

Default URL:
/api/sn_wsd_rsv/search/best_match

### Supported request parameters

{#wsd_search-GET-best_match__entry__2}{#wsd_search-GET-best_match__version-not_optional-RESTAPI}

| Name | Description |
|-|-|
| api_version | Optional. Version of the endpoint to access. For example, <kbd class="ph userinput">v1</kbd> or <kbd class="ph userinput">v2</kbd>. Only specify this value to use an endpoint version other than the latest. Data type: String |
[Table 7. Path parameters]

{#wsd_search-GET-best_match__entry__6}{#wsd_search-GET-best_match__end-query-reserv-entry}{#wsd_search-GET-best_match__include_reservable_purposes-reserv-entry}{#wsd_search-GET-best_match__include_reservations_within_days-reserv-entry}{#wsd_search-GET-best_match__include_standard_services-reserv-entry}{#wsd_search-GET-best_match__q-reserv-entry}{#wsd_search-GET-best_match__reservable_module-reserv-entry}{#wsd_search-GET-best_match__start-query-reserv-entry}{#wsd_search-GET-best_match__timezone_q_parm-reserv-query}

| Name | Description |
|-|-|
| best_match_count | Number of best matched reservables to return. Data type: Number Default: 1 |
| end | Required. End time to use to search for available reservable modules. This value must be later than the value specified in the start parameter. Data type: String Format: UTC or local time (yyyy-mm-dd hh:mm:ss) |
| include_reservable_purposes | Flag that indicates whether to return the purpose of reserving the workplace location for each reservable in the return results. This information is located in the Reservable Purpose \[sn_wsd_rsv_reservable_purpose\] table. Valid values: * true: Return the reservable purposes. * false: Don't return the reservable purposes. Data type: Boolean Default: false |
| include_reservations_within_days | Flag that indicates whether to return all free slots of available times in the response for each reservable for the whole day. Valid values: * true: Return all free slots. * false: Don't return all free slots. Data type: Boolean Default: false |
| include_standard_​services | Flag that indicates whether to return the standard services information in the response. A standard service describes basic provisions available with a reservable workplace item when the reservation is made, such as white boards, additional monitors, and similar services. For additional information on standard services, see [Standard services](https://www.servicenow.com/docs/access?context=standard-service&version=xanadu&pubname=xanadu-employee-service-management&ft:locale=en-US). This information is located in the Standard Service \[sn_wsd_rsv_standard_service\] table. Valid values: * true: Return the standard services information. * false: Don't return the standard services information. Data type: Boolean Default: false |
| q | Required. Encoded query to use to filter the search return results. Within this query you must specify the building sys_id and you can specify parameters such as floor, area, capacity, standard services, and reservable_purposes. All passed parameters must be sys_ids, except for capacity, which is a number. For example: `q=building=94e264cedb3650106c731dcd13961919​^floorINfc7368cedb3650106c731dcd13961902​^capacity>=1​^standard_services=55c0818edb7650106c731dcd13961904​^reservable_purposes=d6e5c7cd1ba4e01051848489cc4bcb81` You can locate this information in the following tables: * Area: sn_wsd_core_area * Building: sn_wsd_core_building * Floor: sn_wsd_core_floor * Reservable purposes: sn_wsd_rsv_reservable_purpose * Standard services: sn_wsd_rsv_standard_service Data type: String |
| reservable_module | Required. Sys_id of the reservable module to include in the search. A [reservable module](https://www.servicenow.com/docs/access?context=config-reservable-module&version=xanadu&pubname=xanadu-employee-service-management&ft:locale=en-US) groups similar types of workplace items. Located in the Reservable Module \[sn_wsd_rsv_reservable_module\] table. Data type: String |
| start | Required. Start time to use to search for available reservable modules. This value must be prior to the value specified in the end parameter. Data type: String Format: UTC or local time (yyyy-mm-dd hh:mm:ss) |
| time_slot | Sys_id of a time slot record for which we are trying to look for the best matching reservable. Located in the Time Slot \[sn_wsd_rsv_time_slot\] table. Data Type: String Default: None |
| timezone | Preferred time zone, such as Europe/Amsterdam. Data type: String Default: None |
[Table 8. Query parameters]

{#wsd_search-GET-best_match__entry__28}

| Header | Description |
|-|-|
| None |   |
[Table 9. Request body parameters]

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#wsd_search-GET-best_match__entry__32}{#wsd_search-GET-best_match__accept-RESTAPI}

| Header | Description |
|-|-|
| Accept | Data format of the response body. Supported types: application/json or application/xml. Default: application/json |
[Table 10. Request headers]

{#wsd_search-GET-best_match__entry__36}

| Header | Description |
|-|-|
| None |   |
[Table 11. Response headers]

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#wsd_search-GET-best_match__entry__40}{#wsd_search-GET-best_match__entry-200-status-code}{#wsd_search-GET-best_match__entry-401-status-code}{#wsd_search-GET-best_match__entry-404-status-code}{#wsd_search-GET-best_match__entry-500-status-code}

| Status code | Description |
|-|-|
| 200 | Successful. The request was successfully processed. |
| 401 | Unauthorized. The user credentials are incorrect or have not been passed. |
| 404 | Not found. The requested item wasn't found. |
| 500 | Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error. |
[Table 12. Status codes]

### Response body parameters

{#wsd_search-GET-best_match__entry__50}{#wsd_search-GET-best_match__hasMore-reserv-entry}{#wsd_search-GET-best_match__nextItemIndex-reserv-entry}{#wsd_search-GET-best_match__reservableContainers-reserv-entry}{#wsd_search-GET-best_match__reservableContainers_building-reserv-entry}{#wsd_search-GET-best_match__reservableContainers_campus-reserv-entry}{#wsd_search-GET-best_match__reservableContainers_capacity-reserv-entry}{#wsd_search-GET-best_match__reservableContainers_display_value-reserv-entry}{#wsd_search-GET-best_match__reservableContainers_floor-reserv-entry}{#wsd_search-GET-best_match__reservableContainers_sys_id-reserv-container}{#wsd_search-GET-best_match__reservableUnit-reserv-entry}{#wsd_search-GET-best_match__reservableUnit_area-reserv-entry}{#wsd_search-GET-best_match__reservableUnit_area_display_value-reserv-entry}{#wsd_search-GET-best_match__reservableUnit_area_sys_id-reserv-entry}{#wsd_search-GET-best_match__availableTimes-reserv-entry}{#wsd_search-GET-best_match__reservableUnit_building-reserv-entry}{#wsd_search-GET-best_match__reservableUnit_description-reserv-entry}{#wsd_search-GET-best_match__reservableUnit_email-reserv-entry}{#wsd_search-GET-best_match__reservableUnit_external_id-reserv-entry}{#wsd_search-GET-best_match__reservableUnit_includedInResult-reserv-entry}{#wsd_search-GET-best_match__is_available-reserv-entry}{#wsd_search-GET-best_match__reservableUnit_is_favorite-reserv-entry}{#wsd_search-GET-best_match__reservableUnit_is_reservable-reserv-entry}{#wsd_search-GET-best_match__reservableUnit_is_reserved-reserv-entry}{#wsd_search-GET-best_match__reservableUnit_is_selected-reserv-entry}{#wsd_search-GET-best_match__reservableUnit_location_type-reserv-entry}{#wsd_search-GET-best_match__reservableUnit_location_type_name-reserv-entry}{#wsd_search-GET-best_match__reservableUnit_reservations-reserv-entry}{#wsd_search-GET-best_match__configuration_item-reserv-row}{#wsd_search-GET-best_match__is_collided-reserv-row}{#wsd_search-GET-best_match__reservableUnit_reservations_location-reserv-entry}

| Name | Description |
|-|-|
| result | Return results for the best reservable match. Data type: Object "result": { "floorsOfSelectedBuilding": [Array], "hasMore": Boolean, "nextItemIndex": Number, "reservableContainers": [Array], "reservableUnits": [Array] } |
| result.floorsOfSelectedBuilding | Details about the floors on which the reservable is located. Data type: Array of Objects "floorsOfSelectedBuilding": [ { "display_value": "String", "external_id": "String", "name": "String", "sys_id": "String" } ] |
| result.floorsOfSelectedBuilding.display_value | Display number of the floor on which the reservable resides, such as 12. Data type: String |
| result.floorsOfSelectedBuilding.external_id | External identifier for the floor. Data type: String |
| result.floorsOfSelectedBuilding.name | Name of the floor on which the reservable resides. Data type: String |
| result.floorsOfSelectedBuilding.sys_id | Sys_id of the associated record in the Floor \[sn_wsd_core_floor\] table. Data type: String |
| result.hasMore | Flag that indicates whether there are more reservables in the return results. Possible values: * true: More reservables available. * false: No more reservables available. Data type: Boolean |
| result.nextItemIndex | Index for the next reservable record to fetch. Use this value when paginating through reservable records. Data type: Number |
| result.reservableContainers | Only returned for reservable modules whose selection_type field is set to <kbd class="ph userinput">container</kbd>. A container is a grouping of similar items, such as a group of desks. Data type: Array of Objects "reservableContainers": [ { "building": {Object}, "campus": {Object}, "capacity": Number, "display_value": "String", "floor": {Object}, "image": {Object} "sys_id": "String" } ] |
| result.reservableContainers.building | Details about the building associated with the reservable container. Data type: Object "building": { "display_value": "String", "name": "String", "sys_id": "String" } |
| result.reservableContainers.building.​display_value | Display value for the building. Data type: String |
| result.reservableContainers.building.name | Name of the building. Data type: String |
| result.reservableContainers.building.sys_id | Sys_id of the associated building record. Data type: String |
| result.reservableContainers.campus | Details about the campus on which the reservable is located. Located in the Campus \[sn_wsd_core_campus\] table. Data type: Object "campus": { "display_value": "String", "name": "String", "sys_id": "String" } |
| result.reservableContainers.campus.​display_value | Display number of the Campus on which the reservable resides, such as East Bay. Data type: String |
| result.reservableContainers.campus.name | Name of the campus. Data type: String |
| result.reservableContainers.campus.sys_id | Sys_id of the associated record. Located in the Campus \[sn_wsd_core_campus\] table. Data type: String |
| result.reservableContainers.capacity | Maximum number of occupants for the reservable. Data type: Number |
| result.reservableContainers.display_value | Display value for the reservable container. Data type: String |
| result.reservableContainers.floor | Details about the floor associated with the reservable container. Data type: Object "floor": { "display_value": "String", "name": "String", "sys_id": "String" } |
| result.reservableContainers.floor.​display_value | Display number of the floor on which the reservable resides, such as 12. Data type: String |
| result.reservableContainers.floor.name | Name of the floor on which the reservable resides. Data type: String |
| result.reservableContainers.floor.sys_id | Sys_id of the associated record in the Floor \[sn_wsd_core_floor\] table. Data type: String |
| result.reservableContainers.image | Details about an image that represents the layout for the associated reservable. Located in the Images \[db_image\] table. "image": { "link": "String", "sys_id": "String" } |
| result.reservableContainers.image.link | Link to an image that represents the layout for this reservable. Located in the Images \[db_image\] table. Data type: String |
| result.reservableContainers.image.sys_id | Sys_id of the associated image record. Data type: String |
| result.reservableContainers.sys_id | Sys_id of the associated container record. The table in which this resides can be configured for any container type. By default it is in the Area \[sn_wsd_core_area\] table. Data type: String |
| result.reservableUnits | Details about the reservable units that match the specified search criteria. A reservable unit is a singe reservable item such as a desk or a chair. Data type: Object "reservableUnits": [ { "area": "String", "availableTimes": [Array], "building": {Object}, "campus": {Object}, "capacity": "String", "defaultPrivacyValue": Boolean, "description": "String", "email": "String", "external_id": "String", "floor": {Object}, "image": {Object}, "includedInResult": Boolean, "is_available": Boolean, "is_favorite": Boolean, "is_reservable": "String", "is_reserved": Boolean, "is_selected": Boolean, "location_type": {Object}, "name": "String", "number": "String", "order": "String", "require_approval": Boolean, "requires_check_in": Boolean, "reservable_quantity": "String", "showPrivacyOption": Boolean, "site": {Object}, "standard_services": [Array], "tableName": "String", "title": "String", "reservable_purposes": [Array], "reservations": [Array], "sys_id": "String" } ] |
| result.reservableUnits.area | Details about the area in which the reservable module is located. Located in the Area \[sn_wsd_core_area\] table. Data type: Object "area": { "display_value": "String", "sys_id": "String" } |
| result.reservableUnits.area.display_value | Display value for the reservable module area. Data type: String |
| result.reservableUnits.area.sys_id | Sys_id of the area record associated with the reservable. Data type: String |
| result.reservableUnits.availableTimes | List of dates/times that the associated reservable is available. Data type: Array |
| result.reservableUnits.building | Details about the building in which the reservable is located. Located in the Building \[sn_wsd_core_building\] table. Data type: Object "building": { "display_value": "String", "sys_id": "String" } |
| result.reservableUnits.building.display_value | Display value for the building. Data type: String |
| result.reservableUnits.building.sys_id | Sys_id of the associated building record. Data type: String |
| result.reservableUnits.campus | Details about the campus on which the reservable is located. Located in the Campus \[sn_wsd_core_campus\] table. Data type: Object "campus": { "display_value": "String", "sys_id": "String" } |
| result.reservableUnits.campus.display_value | Display number of the Campus on which the reservable resides, such as East Bay. Data type: String |
| result.reservableUnits.campus.sys_id | Sys_id of the associated record. Located in the Campus \[sn_wsd_core_campus\] table. Data type: String |
| result.reservableUnits.capacity | Maximum number of occupants for the reservable. Data type: Number |
| result.reservableUnits.defaultPrivacyValue | Flag that indicates the default privacy setting for the reservable. For additional information on these privacy settings, see [Location privacy settings and impact](https://www.servicenow.com/docs/access?context=location-privacy-settings-and-impact&version=xanadu&pubname=xanadu-employee-service-management&ft:locale=en-US). Possible values: * true: Privacy setting for the reservable can be overridden. * false: Privacy setting for the reservable cannot be overridden. Data type: Boolean |
| result.reservableUnits.description | Brief description of the reservable. Data type: String |
| result.reservableUnits.email | Email address for the reservable. Data type: String |
| result.reservableUnits.external_id | External ID of the reservable used to sync a space mapped in CMS. This value is only populated if there is a map associated with this location. Data type: String |
| result.reservableUnits.floor | Details about the floor on which the reservable is located. Located in the Floor \[sn_wsd_core_floor\] table. Data type: Object "floor": { "display_value": "String", "sys_id": "String" } |
| result.reservableUnits.floor.display_value | Display number of the floor on which the reservable resides, such as 12. Data type: String |
| result.reservableUnits.floor.sys_id | Sys_id of the associated record in the Floor \[sn_wsd_core_floor\] table. Data type: String |
| result.reservableUnits.image | Details about an image that represents the layout for the associated reservable. Located in the Images \[db_image\] table. "image": { "link": "String", "sys_id": "String" } |
| result.reservableUnits.image.link | Link to an image that represents the layout for this reservable. Located in the Images \[db_image\] table. Data type: String |
| result.reservableUnits.image.sys_id | Sys_id of the associated image record. Data type: String |
| result.reservableUnits.includedInResult | Flag that indicates whether the current reservable is included in the return results. Valid values: * true: Included in the return results. * false: Not included in the return results. Data type: Boolean |
| result.reservableUnits.is_available | Flag that indicates whether the reservable is available to reserve. Valid values: * true: Available to reserve. * false: Not available to reserve. Data type: Boolean |
| result.reservableUnits.is_favorite | Flag that indicates whether the reservable is flagged as one of the associated user's favorites. Valid values: * true: Favorite. * false: Not a favorite. Data type: Boolean |
| result.reservableUnits.is_reservable | Flag that indicates whether it's possible to reserve this reservable. Note: If the include_unavailable_items query parameter is set to true, unavailable locations are also returned. In this case, if a location is already reserved, then the is_available parameter is false, but is_reservable is true. Valid values: * true: Available to reserve. * false: Not available to reserve. Data type: Boolean |
| result.reservableUnits.is_reserved | Flag that indicates whether the reservable is already reserved. Valid values: * true: Available to reserve. * false: Already reserved. Data type: Boolean |
| result.reservableUnits.is_selected | Flag that indicates whether the reservable is already reserved. Valid values: * true: Available to reserve. * false: Already reserved. Data type: Boolean |
| result.reservableUnits.location_type | Details about the type of location of the reservable, such as workplace/desk, cafe, or gym. Located in the Workplace Location \[sn_wsd_core_workplace_location\] table. "location_type": { "display_value": "String", "name": "String", "sys_id": "String" } |
| result.reservableUnits.location_type.​display_value | Display value of the location type. Data type: String |
| result.reservableUnits.location_type.name | Name of the location type, such as basement or storage. Same as display value. Data type: String |
| result.reservableUnits.location_type.sys_id | Sys_id of the associated record in the Space Type \[sn_wsd_core_space_type\] table. Data type: String |
| result.reservableUnits.name | Name of the reservable. Data type: String |
| result.reservableUnits.number | Unique identifier of the reservable. This value is more human readable than the sys_id. Data type: String |
| result.reservableUnits.order | Order number for the reservable. Data type: Number |
| result.reservableUnits.require_approval | Flag that indicates whether reserving the reservable requires an approval. Possible values: * true: Approval required. * false: Approval isn't required. Data type: Boolean |
| result.reservableUnits.requires_check_in | Flag that indicates whether the reservable requires the user to check in. Valid values: * true: Check in required. * false: Check in isn't required. Data type: Boolean |
| result.reservableUnits.reservable_purposes | Details about the purpose for reserving the associated reservable. Data type: Array of Objects "reservable_purposes": [ { "name": "String", "short_description": "String", "sys_id": "String" } ] |
| result.reservableUnits.reservable_purposes.​name | Name of the reservable. Data type: String |
| result.reservableUnits.reservable_purposes.​short_description | Brief description of the reservable. Data type: String |
| result.reservableUnits.reservable_purposes.​sys_id | Sys_id of the reservable purpose record. Located in the Reservable Purpose \[sn_wsd_rsv_reservable_purpose\] table. Data type: String |
| result.reservableUnits.reservations | Details about the reservations associated with the reservable. Only populated if the include_reservations_within_days query parameter is true and the reservation_ids parameter contains reservation IDs, meaning there are reservations already present for this reservable. Data type: Array of Objects "reservations": [ { "configuration_item": "String", "end": "String", "is_collided": Boolean, "location": {Object}, "number": "String", "requested_for": {Object}, "reservation_purpose": {Object}, "start": "String", "state": {Object}, "subject": "String", "sys_id": "String" } ] |
| result.reservableUnits.reservations.​configuration_item | Configuration items corresponding to the reservation. Located in the cmdb_ci table. Data type: String |
| result.reservableUnits.reservations.end | Reservation end date and time. Data type: String Format: UTC: yyyy-mm-ddThh:mm:ssZ, such as 2021-02-05T18:00:00Z |
| result.reservableUnits.reservations.is_collided | Flag that indicates whether the reservation collides with the start and end time of the search. This indicates that the associated reservable location is already reserved for the specified search timespan. Possible values: * true: Collision. * false: No collision. Data type: Boolean |
| result.reservableUnits.reservations.location | Details about the location of the reservation. Data type: Object "location": { "location": "String", "timezone": {Object} } |
| result.reservableUnits.reservations.location.​location | Sys_id of the associated location record. Located in the Workplace Location \[sn_wsd_core_workplace_location\] table. Data type: String |
| result.reservableUnits.reservations.location.​timezone | Details about the time zone associated with the location. Data type: Object "timezone": { "displayValue": "String", "value": "String" } |
| result.reservableUnits.reservations.location.​timezone.displayValue | Display value for the time zone to which this location belongs. Data type: String |
| result.reservableUnits.reservations.location.​timezone.value | Internal value for the time zone to which this location belongs. Data type: String |
| result.reservableUnits.reservations.number | Unique identifier of the reservable. This value is more human readable than the sys_id. Data type: String |
| result.reservableUnits.reservations.​requested_for | Details about the person for whom the reservation was requested on behalf of. Data type: Object "requested_for": { "name": "String", "sys_id": "String" } |
| result.reservableUnits.reservations.​requested_for.name | Name of the user for whom the reservation was requested for. Data type: String |
| result.reservableUnits.reservations.​requested_for.sys_id | Sys_id of the user for whom the reservation is being requested. Located in the User \[sys_user\] table. Data type: String |
| result.reservableUnits.reservations.​reservation_purpose | Details about the purpose of the reservation. Data type: Object "reservation_purpose": { "display_value": "String," "value": "String" } |
| result.reservableUnits.reservations.​reservation_purpose.display_value | Display value for the purpose of the reservation, such as Company meeting. Data type: String |
| result.reservableUnits.reservations.​reservation_purpose.value | Internal value for the purpose of the reservation, such as company_meeting. Data type: String |
| result.reservableUnits.reservations.start | Reservation start date and time. Data type: String Format: UTC - yyyy-mm-ddThh:mm:ssZ, such as 2021-02-05T18:00:00Z |
| result.reservableUnits.reservations.state | Details about the state of the reservation for the location. Data type: Object "state": { "display_value": "String," "value": "String" } |
| result.reservableUnits.reservations.state.​display_value | Display value for the current state of the reservation, such as confirmed. Data type: String |
| result.reservableUnits.reservations.state.value | Internal value for the current state of the reservation, such as 2. Data type: String |
| result.reservableUnits.reservations.subject | Reservation's subject. Data type: String |
| result.reservableUnits.reservations.sys_id | Required. Sys_id of the reservation record. Located in the Workplace Reservation \[sn_wsd_rsv_reservation\] table. Data type: String |
| result.reservableUnits.reservable_quantity | Maximum number of times the associated reservable can be reserved for the same time. This value is used when assigning neighborhood spaces to an area. Data type: Integer |
| result.reservableUnits.showPrivacyOption | Flag that indicates whether an employee can override the privacy settings for the associated reservable. For additional information on these privacy settings, see [Location privacy settings and impact](https://www.servicenow.com/docs/access?context=location-privacy-settings-and-impact&version=xanadu&pubname=xanadu-employee-service-management&ft:locale=en-US). Valid values: * true: Privacy settings can be overridden. * false: Privacy setting cannot be overridden. Data type: Boolean |
| result.reservableUnits.site | Details about the site where the reservable resides. Located in the Site \[sn_wsd_core_site\] table. "site": { "display_value": "String", "sys_id": "String" } |
| result.reservableUnits.site.display_value | Display value of the site. Data type: String |
| result.reservableUnits.site.sys_id | Sys_id of the associated site record in the Site \[sn_wsd_core_site\] table. Data type: String |
| result.reservableUnits.standard_services | Associated standard services, such as flip chart, projector screen, and whiteboard and markers. Data type: Array of Objects "standard_services": [ { "font_awesome_icon": "String", "name": "String", "short_description": "String", "sys_id": "String" } ] |
| result.reservableUnits.standard_services.​font_awesome_icon | Name of the thumbnail icon associated with the standard service. Data type: String |
| result.reservableUnits.standard_services.name | Name of the thumbnail icon associated with the standard service. Data type: String |
| result.reservableUnits.standard_services.​short_description | Brief description of the standard service. Data type: String |
| result.reservableUnits.standard_services.sys_id | Sys_id of the standard service record. Located in the Standard Service \[sn_wsd_rsv_standard_service\] table. Data type: String |
| result.reservableUnits.sys_id | Sys_id of the reservable record. Located in the Workplace Location \[sn_wsd_core_workplace_location\] table. Data type: String |
| result.reservableUnits.tableName | Name of the table in which the reservable record resides. Data type: String |
| result.reservableUnits.title | Title of the reservable. Data type: String |
[ ]

### cURL request

The following code example shows how to call this endpoint.

    curl "https://instance.servicenow.com/api/sn_wsd_rsv/search/best_match?q=building%3D9e0364cedb3650106c731dcd1396192b&start=2023-01-04T07%3A00%3A00Z&time_slot=d5331cf2dbb5f01038e42b24ca961906&end=2023-01-04T17%3A00%3A00Z&best_match_count=1&reservable_module=2b636b7e1b4e60103523ff751a4bcbe2&timezone=Europe%2FAmsterdam" \
    --request GET \
    --header "Accept:application/json" \
    --user "username":"password"

Return results:

    {
      "result": {
        "hasMore": false,
        "reservableUnits": [
          {
            "sys_id": "fe1f744edb7650106c731dcd139619ca",
            "external_id": null,
            "email": null,
            "name": "Aspen",
            "title": "Aspen",
            "description": "A room with large windows, dark leather seats and a large wooden table.",
            "image": {
              "sys_id": "41c74902dbb650106c731dcd13961944",
              "link": "41c74902dbb650106c731dcd13961944.iix"
            },
            "number": "ROOM0000903",
            "site": {
              "sys_id": "628eec06db7650106c731dcd139619dd",
              "display_value": "North America"
            },
            "campus": {
              "sys_id": "82b2a0cedb3650106c731dcd139619e9",
              "display_value": "California Campus"
            },
            "building": {
              "sys_id": "94e264cedb3650106c731dcd13961919",
              "display_value": "CAL-B1"
            },
            "floor": {
              "sys_id": "2f554296dbba10106c731dcd139619ed",
              "display_value": "Floor 2"
            },
            "area": null,
            "capacity": "16",
            "reservable_quantity": null,
            "location_type": {
              "sys_id": "20713b83eb512010b89bfdfc9c522899",
              "display_value": "Room",
              "name": "Room"
            },
            "order": null,
            "requires_check_in": null,
            "is_reservable": "1",
            "tableName": "sn_wsd_core_room",
            "require_approval": false,
            "standard_services": [
              {
                "sys_id": "abd0c18edb7650106c731dcd13961965",
                "name": "Projector screen",
                "short_description": "Connect laptop to screen (HDMI and DVI)",
                "font_awesome_icon": "fa-caret-square-o-right"
              }
            ],
            "reservable_purposes": [
              {
                "sys_id": "18f4c3cd1ba4e01051848489cc4bcb82",
                "name": "Board room",
                "short_description": null
              }
            ],
            "is_available": true,
            "reservations": [
              {
                "sys_id": "5fe65830874bc9106342b846dabb352b",
                "number": "WRES0001001",
                "location": {
                  "location": "fe1f744edb7650106c731dcd139619ca",
                  "timezone": {
                    "value": "US/Pacific",
                    "displayValue": "US/Pacific"
                  }
                },
                "configuration_item": null,
                "start": "2022-04-23T08:30:00Z",
                "end": "2022-04-23T09:30:00Z",
                "subject": null,
                "reservation_purpose": {
                  "value": "meeting",
                  "display_value": "Meeting"
                },
                "state": {
                  "value": "confirmed",
                  "display_value": "Confirmed"
                },
                "is_collided": false,
                "requested_for": {
                  "sys_id": "2de07e1887cb89106342b846dabb35fe",
                  "name": "Workplace User"
                }
              },
              {
                "sys_id": "af075c30874bc9106342b846dabb3572",
                "number": "WRES0001002",
                "location": {
                  "location": "fe1f744edb7650106c731dcd139619ca",
                  "timezone": {
                    "value": "US/Pacific",
                    "displayValue": "US/Pacific"
                  }
                },
                "configuration_item": null,
                "start": "2022-04-23T23:00:00Z",
                "end": "2022-04-24T00:00:00Z",
                "subject": null,
                "reservation_purpose": {
                  "value": "meeting",
                  "display_value": "Meeting"
                },
                "state": {
                  "value": "confirmed",
                  "display_value": "Confirmed"
                },
                "is_collided": false,
                "requested_for": {
                  "sys_id": "2de07e1887cb89106342b846dabb35fe",
                  "name": "Workplace User"
                }
              }
            ],
            "availableTimes": [
              [
                "2022-04-23 07:00:00",
                "2022-04-23 08:30:00"
              ],
              [
                "2022-04-23 09:30:00",
                "2022-04-23 23:00:00"
              ],
              [
                "2022-04-24 00:00:00",
                "2022-04-24 06:59:59"
              ]
            ],
            "is_favorite": false
          }
        ],
        "reservableContainers": [],
        "nextItemIndex": -1,
        "floorsOfSelectedBuilding": [
          {
            "sys_id": "2f554296dbba10106c731dcd139619ed",
            "display_value": "Floor 2",
            "external_id": null,
            "name": "Floor 2"
          }
        ]
      }
    }{
      "result": {
        "hasMore": false,
        "reservableUnits": [
          {
            "sys_id": "32f2a98adb7210106c731dcd13961972",
            "external_id": null,
            "wsd_email": null,
            "name": "B1-03-04",
            "title": "B1-03-04",
            "description": "Desk reserved for the Team-C. After 10am, free to reserve for everyone.",
            "image": {
              "sys_id": "57b42dcadb7210106c731dcd13961945",
              "link": "57b42dcadb7210106c731dcd13961945.iix"
            },
            "number": "SPCE0009018",
            "site": {
              "sys_id": "b17220cedb3650106c731dcd1396197a",
              "display_value": "Western Europe"
            },
            "campus": {
              "sys_id": "44d2e0cedb3650106c731dcd13961988",
              "display_value": "Amsterdam Campus"
            },
            "building": {
              "sys_id": "9e0364cedb3650106c731dcd1396192b",
              "display_value": "AMS-B1"
            },
            "floor": {
              "sys_id": "5373a8cedb3650106c731dcd1396198a",
              "display_value": "Floor 3"
            },
            "area": {
              "sys_id": "410ff04edb7650106c731dcd13961973",
              "display_value": "Desks C1"
            },
            "capacity": "1",
            "reservable_quantity": null,
            "location_type": {
              "sys_id": "5f017383eb512010b89bfdfc9c5228c8",
              "display_value": "Workspace/Desk",
              "name": "Workspace/Desk"
            },
            "order": null,
            "requires_check_in": null,
            "is_reservable": "1",
            "tableName": "sn_wsd_core_space",
            "require_approval": false,
            "is_available": true,
            "reservations": [],
            "availableTimes": [
              [
                "2023-01-04 07:00:00",
                "2023-01-04 17:00:00"
              ]
            ],
            "showPrivacyOption": false,
            "defaultPrivacyValue": false,
            "container": {
              "sys_id": "410ff04edb7650106c731dcd13961973",
              "display_value": "Desks C1",
              "floor": {
                "sys_id": "5373a8cedb3650106c731dcd1396198a",
                "display_value": "Floor 3",
                "name": "Floor 3"
              },
              "building": {
                "sys_id": "9e0364cedb3650106c731dcd1396192b",
                "display_value": "AMS-B1",
                "name": "AMS-B1"
              },
              "campus": {
                "sys_id": "44d2e0cedb3650106c731dcd13961988",
                "display_value": "Amsterdam Campus",
                "name": "Amsterdam Campus"
              },
              "capacity": 6,
              "image": {
                "sys_id": "d52c27b21b8e60103523ff751a4bcb49",
                "link": "d52c27b21b8e60103523ff751a4bcb49.iix"
              }
            },
            "includedInResult": true,
            "is_favorite": true
          }
        ],
        "reservableContainers": [
          {
            "sys_id": "410ff04edb7650106c731dcd13961973",
            "display_value": "Desks C1",
            "floor": {
              "sys_id": "5373a8cedb3650106c731dcd1396198a",
              "display_value": "Floor 3",
              "name": "Floor 3"
            },
            "building": {
              "sys_id": "9e0364cedb3650106c731dcd1396192b",
              "display_value": "AMS-B1",
              "name": "AMS-B1"
            },
            "campus": {
              "sys_id": "44d2e0cedb3650106c731dcd13961988",
              "display_value": "Amsterdam Campus",
              "name": "Amsterdam Campus"
            },
            "capacity": 6,
            "image": {
              "sys_id": "d52c27b21b8e60103523ff751a4bcb49",
              "link": "d52c27b21b8e60103523ff751a4bcb49.iix"
            }
          }
        ],
        "nextItemIndex": -1,
        "floorsOfSelectedBuilding": [
          {
            "sys_id": "5373a8cedb3650106c731dcd1396198a",
            "display_value": "Floor 3",
            "external_id": null,
            "name": "Floor 3"
          }
        ]
      }

## WSD Search - GET /api/sn_wsd_rsv/search/overlapping_reservation {#ariaid-title4}

Determines whether an overlapping reservation exists based on the passed parameters.
<br />

### URL format

Versioned URL: /api/sn_wsd_rsv/{api_version}/search/overlapping_reservation

Default URL: /api/sn_wsd_rsv/search/overlapping_reservation

### Supported request parameters

{#wsd_search-GET-overlap_resv__entry__2}{#wsd_search-GET-overlap_resv__version-not_optional-RESTAPI}

| Name | Description |
|-|-|
| api_version | Optional. Version of the endpoint to access. For example, <kbd class="ph userinput">v1</kbd> or <kbd class="ph userinput">v2</kbd>. Only specify this value to use an endpoint version other than the latest. Data type: String |
[Table 13. Path parameters]

{#wsd_search-GET-overlap_resv__entry__6}

| Name | Description |
|-|-|
| end | Required. End time to use to check for overlapping reservations. Data type: String Format: YYY-MM-DDTHH:MM:SSZ |
| recurring_pattern | Details about the recurring pattern for the reservation. Data type: Object "recurring_pattern": { "duration": Number, "options": {Object}, "repeats": "String", "startDate":"String" } |
| recurring_pattern.duration | Length of time to check. Data type: Number Unit: Seconds |
| recurring_pattern.options | Details about the options associated with the recurring reservation. Data type: Object "options": { "count": Number, "daysOfWeek": "String", "every": Number } |
| recurring_pattern.options.count | Number of times the pattern is repeated. Data type: Number |
| recurring_pattern.options.daysOfWeek | Days of the week to check for overlap. Valid values: * 1 = Monday * 2 = Tuesday * 3 = Wednesday * 4 = Thursday * 5 = Friday * 6 = Saturday * 7 = Sunday For example, to specify Tuesday, Thursday, and Friday, pass 245 (no delimiter). Data type: String |
| recurring_pattern.options.every | Pattern repeat interval to check. For example, if this value is <kbd class="ph userinput">2</kbd>, it checks the repeat pattern based on the selection in the repeats parameter, such as every other day or every other week. Data type: Number |
| recurring_pattern.options.repeats | Repeating pattern for the reservation overlap check. Possible values: (case-sensitive) * daily * monthly * weekly * yearly Data type: String |
| reservable_id | Sys_id of the reservable module to check for overlapping reservations. Located in the Reservable Module \[sn_wsd_rsv_reservable_module\] table. Data type: String |
| reservation_id | Sys_id of the reservation to check for overlap. This value is needed in the edit flow of multi/group parents. Located in the Workplace Reservation \[sn_wsd_rsv_reservation\] table. Data type: String |
| shift_info_object | Details of the shift to check for overlap. For additional information on shift-based reservations, see [Enable shift-based reservation](https://www.servicenow.com/docs/access?context=wsd-reservation-setup&version=xanadu&pubname=xanadu-employee-service-management&ft:locale=en-US). Data type: Object "shift_info_object": { "applyToShift": Boolean, "shift": "String", "timezone": "String" } |
| shift_info_object.applyToShift | Flag that indicates whether shift-based reservations are enabled for the reservable module. Valid values: * true: Allow shift-based reservations. * false: Don't allow shift-based reservations. Data type: Boolean |
| shift_info_object.shift | Sys_id of the shift to associate with the reservation. Located in the Shift \[sn_wsd_core_shift\] table. If this parameter is passed in, the end parameter isn't required. Data type: String |
| shift_info_object.timezone | Time zone of the shift to check for overlap. Data type: String |
| start | Required. Start time to use to check for overlapping reservations. Data type: String Format: YYY-MM-DDTHH:MM:SSZ |
| user_id | Required. Sys_id of the user to check for overlapping reservations. Located in the User \[sys_user\] table. Data type: String |
[Table 14. Query parameters]

{#wsd_search-GET-overlap_resv__entry__40}

| Name | Description |
|-|-|
| None |   |
[Table 15. Request body parameters (XML or JSON)]

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#wsd_search-GET-overlap_resv__entry__44}{#wsd_search-GET-overlap_resv__accept-RESTAPI}

| Header | Description |
|-|-|
| Accept | Data format of the response body. Supported types: application/json or application/xml. Default: application/json |
[Table 16. Request headers]

{#wsd_search-GET-overlap_resv__entry__48}

| Header | Description |
|-|-|
| None |   |
[Table 17. Response headers]

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#wsd_search-GET-overlap_resv__entry__52}{#wsd_search-GET-overlap_resv__entry-200-status-code}{#wsd_search-GET-overlap_resv__entry-400-status-code}{#wsd_search-GET-overlap_resv__entry-401-status-code}{#wsd_search-GET-overlap_resv__entry-404-status-code}{#wsd_search-GET-overlap_resv__entry-500-status-code}

| Status code | Description |
|-|-|
| 200 | Successful. The request was successfully processed. |
| 400 | Bad Request. A bad request type or malformed request was detected. |
| 401 | Unauthorized. The user credentials are incorrect or have not been passed. |
| 404 | Not found. The requested item wasn't found. |
| 500 | Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error. |
[Table 18. Status codes]

### Response body parameters (JSON or XML)

{#wsd_search-GET-overlap_resv__entry__64}

| Name | Description |
|-|-|
| results | Details of the results of the overlap check. Data type: Object "results": { "isOverlapped": Boolean, "reservableId": "String" } |
| results.isOverlapped | Flag that indicates whether an overlapping reservation exists. Valid values: * true: Overlapping reservation exists. * false: Overlapping reservation doesn't exist. Data type: Boolean |
| results.reservableId | In the case of a group reservation, the sys_id of the reservable for which the overlap occurs. Data type: String |
[ ]

### cURL request

The following code example shows how to check for a reservation overlap for a specific user and for a specific period of time denoted by the start and end parameters.

    curl "http://instance.servicenow.com/api/sn_wsd_rsv/search/overlapping_reservation?user_id=2e617fecc3d365101e38b23bb00131ec&end=2023-06-19T8:00:00Z&start=2023-06-19T07:00:00Z" \
    --request GET \
    --header "Accept:application/json" \
    --user 'username':'password'

Return results:

    {
    "results": {
      "isOverlapped": True,
      "reservableId": ""
      }
    }

## WSD Search - GET /api/sn_wsd_rsv/search/reservable {#ariaid-title5}

Searches for available reservable items using a specified reservable model
configuration.

### URL format

Versioned URL:
/api/sn_wsd_rsv/{api_version}/search/reservable

Default URL:
/api/sn_wsd_rsv/search/reservable

### Supported request parameters

{#wsd_search-GET-reservable__entry__2}{#wsd_search-GET-reservable__version-not_optional-RESTAPI}

| Name | Description |
|-|-|
| api_version | Optional. Version of the endpoint to access. For example, <kbd class="ph userinput">v1</kbd> or <kbd class="ph userinput">v2</kbd>. Only specify this value to use an endpoint version other than the latest. Data type: String |
[Table 19. Path parameters]

{#wsd_search-GET-reservable__entry__6}{#wsd_search-GET-reservable__end-query-reserv-entry}{#wsd_search-GET-reservable__ignore_same_day_validation-reserv-entry}{#wsd_search-GET-reservable__include_reservable_purposes-reserv-entry}{#wsd_search-GET-reservable__include_reservations_within_days-reserv-entry}{#wsd_search-GET-reservable__include_standard_services-reserv-entry}{#wsd_search-GET-reservable__neighborhood-reserv-entry}{#wsd_search-GET-reservable__q-reserv-entry}{#wsd_search-GET-reservable__reservable_module-reserv-entry}{#wsd_search-GET-reservable__reservation_ids-reserv-entry}{#wsd_search-GET-reservable__schedule_view_obj-reserv-entry}{#wsd_search-GET-reservable__schedule_view_obj-schedule_view_date-reserv-entry}{#wsd_search-GET-reservable__schedule_view_obj-timezone-entry}{#wsd_search-GET-reservable__start-query-reserv-entry}{#wsd_search-GET-reservable__shift-update_reserv-entry}{#wsd_search-GET-reservable__timezone_q_parm-reserv-query}

| Name | Description |
|-|-|
| end | Required. End time to use to search for available reservable modules. This value must be later than the value specified in the start parameter. Data type: String Format: UTC or local time (yyyy-mm-dd hh:mm:ss) |
| exclude_reservables | List of one or more sys_ids of reservables to exclude from the search results. The table in which these sys_ids are located is specified in the reservable_table field in the Reservable Module \[sn_wsd_rsv_reservable_module\] table. It can be either the Space \[sn_wsd_core_space\] or Room \[sn_wsd_core_room\] table. Data type: String or Array |
| ignore_same_day_validation | Flag that indicates whether the reservation search ignores the change of the date validation between the start and end parameters. Valid values: * true: Ignore the change date validation. * false: Don't ignore the change date validation. Data type: Boolean Default: false |
| include_reservable_purposes | Flag that indicates whether to return the purpose of reserving the workplace location for each reservable in the return results. This information is located in the Reservable Purpose \[sn_wsd_rsv_reservable_purpose\] table. Valid values: * true: Return the reservable purposes. * false: Don't return the reservable purposes. Data type: Boolean Default: false |
| include_reservations_within_days | Flag that indicates whether to return all free slots of available times in the response for each reservable for the whole day. Valid values: * true: Return all free slots. * false: Don't return all free slots. Data type: Boolean Default: false |
| include_standard_​services | Flag that indicates whether to return the standard services information in the response. A standard service describes basic provisions available with a reservable workplace item when the reservation is made, such as white boards, additional monitors, and similar services. For additional information on standard services, see [Standard services](https://www.servicenow.com/docs/access?context=standard-service&version=xanadu&pubname=xanadu-employee-service-management&ft:locale=en-US). This information is located in the Standard Service \[sn_wsd_rsv_standard_service\] table. Valid values: * true: Return the standard services information. * false: Don't return the standard services information. Data type: Boolean Default: false |
| near_by_location_id | Required if the rsv_path parameter is set to <kbd class="ph userinput">browse_near_a_person</kbd>. Sys_id of the location to use in the encoded query. Located in the Workplace Location \[sn_wsd_core_workplace_location\] table. Data type: String |
| neighborhood | Required if the `rsv_path` parameter is set to <kbd class="ph userinput">browse_by_neighborhood</kbd>. Only available if the Space Management (sn_wsd_spc_mgmt_neighborhood) plugin is activated. Sys_id of the neighborhood record to use in the encoded query. Located in the Neighborhood \[sn_wsd_spcmgmt_neighborhood\] table. For additional information on neighborhood space reservations, see [Create neighborhood reservations](https://www.servicenow.com/docs/access?context=create-neighborhood-reservations&version=xanadu&pubname=xanadu-employee-service-management&ft:locale=en-US). Data type: String |
| next_item_index | Index of next item to retrieve. Pass this parameter when paginating the return results. Data type: Number Default: 0 |
| page_size | Maximum number of records to return in the return results. Data type: Number Default: 6 |
| q | Required. Encoded query to use to filter the search return results. Within this query you must specify the building sys_id and you can specify parameters such as floor, area, capacity, standard services, and reservable_purposes. All passed parameters must be sys_ids, except for capacity, which is a number. For example: `q=building=94e264cedb3650106c731dcd13961919​^floorINfc7368cedb3650106c731dcd13961902​^capacity>=1​^standard_services=55c0818edb7650106c731dcd13961904​^reservable_purposes=d6e5c7cd1ba4e01051848489cc4bcb81` You can locate this information in the following tables: * Area: sn_wsd_core_area * Building: sn_wsd_core_building * Floor: sn_wsd_core_floor * Reservable purposes: sn_wsd_rsv_reservable_purpose * Standard services: sn_wsd_rsv_standard_service Data type: String |
| reservable_module | Required. Sys_id of the reservable module to include in the search. A [reservable module](https://www.servicenow.com/docs/access?context=config-reservable-module&version=xanadu&pubname=xanadu-employee-service-management&ft:locale=en-US) groups similar types of workplace items. Located in the Reservable Module \[sn_wsd_rsv_reservable_module\] table. Data type: String |
| reservation_ids | Comma-separated list of existing reservation sys_ids. Pass this parameter if you want to edit the associated reservations. Located in the Workplace Reservation \[sn_wsd_rsv_reservation\] table. The time blocked for these sys_ids for the corresponding reservables are treated as available. Data type: String Default: None |
| rsv_path | Reservation path to apply to the search. Valid values: * browse_all: Search all reservables. * browse_by_area: Search the reservables near a specific location. An area identifier must be passed in the encoded query (q parameter). * browse_by_neighborhood: Search the reservables near the neighborhood specified in the neighborhood parameter. * browse_near_a_person: Search the reservables near the workplace location of the person specified in the near_by_location_id parameter. Data type: String Default: browse_all |
| schedule_view_obj | Details about the schedule view to return. Pass this object if you need 24-hour availability data for reservations that span more than one day. The return results will only contain available times and reservations for the specified date. For this functionality to work properly, the parameters ignore_same_day_validation and include_reservations_within_days must be set to <kbd class="ph userinput">true</kbd>. Data type: Object "schedule_view_obj": { "schedule_view_date": "String", "timezone": "String" } |
| schedule_view_obj.schedule_view_date | Date for which to start returning reservation availability. This date must be in the time zone specified in the schedule_view_obj.timezone parameter. Data type: String Format: YYYY-MM-DD |
| schedule_view_obj.timezone | Building time zone to use to determine the reservation availability data to return. For example: US/Pacific. Data type: String |
| start | Required. Start time to use to search for available reservable modules. This value must be prior to the value specified in the end parameter. Data type: String Format: UTC or local time (yyyy-mm-dd hh:mm:ss) |
| shift | Sys_id of the shift to associate with the reservation. Located in the Shift \[sn_wsd_core_shift\] table. If this parameter is passed in, the end parameter isn't required. For additional information on shift-based reservations, see [Enable shift-based reservation](https://www.servicenow.com/docs/access?context=wsd-reservation-setup&version=xanadu&pubname=xanadu-employee-service-management&ft:locale=en-US). Data type: String |
| sort_by | Desired sort order of the returned reservable items. Valid values: * a_z: Ascending sort order. * favorites_first: Sorted by the user's favorite workplace reservables first, ascending for the rest. * z_a: Descending sort order. Data type: String Default: a_z |
| timezone | Preferred time zone, such as Europe/Amsterdam. Data type: String Default: None |
[Table 20. Query parameters]

{#wsd_search-GET-reservable__entry__50}

| Name | Description |
|-|-|
| None |   |
[Table 21. Request body parameters]

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#wsd_search-GET-reservable__entry__54}{#wsd_search-GET-reservable__accept-reserv-entry}

| Header | Description |
|-|-|
| Accept | Data format of the request body. Supported types: application/json, application/xml or, text/xml. Default: application/json |
[Table 22. Request headers]

{#wsd_search-GET-reservable__entry__58}

| Header | Description |
|-|-|
| None |   |
[Table 23. Response headers]

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#wsd_search-GET-reservable__entry__62}{#wsd_search-GET-reservable__entry-200-status-code}{#wsd_search-GET-reservable__entry-401-status-code}{#wsd_search-GET-reservable__entry-404-status-code}{#wsd_search-GET-reservable__entry-500-status-code}

| Status code | Description |
|-|-|
| 200 | Successful. The request was successfully processed. |
| 401 | Unauthorized. The user credentials are incorrect or have not been passed. |
| 404 | Not found. The requested item wasn't found. |
| 500 | Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error. |
[Table 24. Status codes]

### Response body parameters

{#wsd_search-GET-reservable__entry__72}{#wsd_search-GET-reservable__hasMore-reserv-entry}{#wsd_search-GET-reservable__nextItemIndex-reserv-entry}{#wsd_search-GET-reservable__reservableContainers-reserv-entry}{#wsd_search-GET-reservable__reservableContainers_building-reserv-entry}{#wsd_search-GET-reservable__reservableContainers_campus-reserv-entry}{#wsd_search-GET-reservable__reservableContainers_capacity-reserv-entry}{#wsd_search-GET-reservable__reservableContainers_display_value-reserv-entry}{#wsd_search-GET-reservable__reservableContainers_floor-reserv-entry}{#wsd_search-GET-reservable__reservableContainers_sys_id-reserv-container}{#wsd_search-GET-reservable__reservableUnit-reserv-entry}{#wsd_search-GET-reservable__reservableUnit_area-reserv-entry}{#wsd_search-GET-reservable__reservableUnit_area_display_value-reserv-entry}{#wsd_search-GET-reservable__reservableUnit_area_sys_id-reserv-entry}{#wsd_search-GET-reservable__availableTimes-reserv-entry}{#wsd_search-GET-reservable__reservableUnit_building-reserv-entry}{#wsd_search-GET-reservable__reservableUnit_description-reserv-entry}{#wsd_search-GET-reservable__reservableUnit_email-reserv-entry}{#wsd_search-GET-reservable__reservableUnit_external_id-reserv-entry}{#wsd_search-GET-reservable__reservableUnit_includedInResult-reserv-entry}{#wsd_search-GET-reservable__is_available-reserv-entry}{#wsd_search-GET-reservable__reservableUnit_is_favorite-reserv-entry}{#wsd_search-GET-reservable__reservableUnit_is_reservable-reserv-entry}{#wsd_search-GET-reservable__reservableUnit_is_reserved-reserv-entry}{#wsd_search-GET-reservable__reservableUnit_is_selected-reserv-entry}{#wsd_search-GET-reservable__reservableUnit_location_type-reserv-entry}{#wsd_search-GET-reservable__reservableUnit_location_type_name-reserv-entry}{#wsd_search-GET-reservable__reservableUnit_reservations-reserv-entry}{#wsd_search-GET-reservable__configuration_item-reserv-row}{#wsd_search-GET-reservable__is_collided-reserv-row}{#wsd_search-GET-reservable__reservableUnit_reservations_location-reserv-entry}

| Name | Description |
|-|-|
| result | Return results for the specified search. Data type: Object "result": { "filter": {Object}, "hasMore": Boolean, "nextFavIndex": Number, "nextItemIndex": Number, "reservableContainers": [Array], "reservableUnits": [Array], "totalProcessed": Number } |
| result.filter | Details about the floors, standard services, and reservable purposes of the reservables. If the include_standard_services or include_reservable_purposes parameters are set to false, standard_services and reservable_purposes are empty arrays. Data type: Object "filter": { "floors": [Array], "reservable_purposes": [Array], "standard_services": [Array] } |
| result.filter.floors | Details about the floor on which the reservable is located. Located in the Floor \[sn_wsd_core_floor\] table. Data type: Object "floors": [ { "display_value": "String", "sys_id": "String" } ] |
| result.filter.floors.display_value | Display number of the floor on which the reservable resides, such as 12. Data type: String |
| result.filter.floors.sys_id | Sys_id of the associated record in the Floor \[sn_wsd_core_floor\] table. Data type: String |
| result.filter.standard_services | Only populated if the include_standard_services parameter is set to true. Associated standard services, such as flip chart, projector screen, and whiteboard and markers. Data type: Array of Objects "standard_services": [ { "font_awesome_icon": "String", "name": "String", "short_description": "String", "sys_id": "String" } ] |
| result.filter.standard_services.​font_awesome_icon | Name of the thumbnail icon associated with the standard service. Data type: String |
| result.filter.standard_services.name | Name of the standard service. Data type: String |
| result.filter.standard_services.short_description | Brief description of the standard service. Data type: String |
| result.filter.standard_services.sys_id | Sys_id of the standard service record. Located in the Standard Service \[sn_wsd_rsv_standard_service\] table. Data type: String |
| result.filter.reservable_purposes | Details about the purpose for reserving the associated reservable. Data type: Array of Objects "reservable_purposes": [ { "name": "String", "short_description": "String", "sys_id": "String" } ] |
| result.filter.reservable_purposes.name | Name of the reservable. Data type: String |
| result.filter.reservable_purposes.​short_description | Brief description of the reservable. Data type: String |
| result.filter.reservable_purposes.sys_id | Sys_id of the reservable purpose record. Located in the Reservable Purpose \[sn_wsd_rsv_reservable_purpose\] table. Data type: String |
| result.hasMore | Flag that indicates whether there are more reservables in the return results. Possible values: * true: More reservables available. * false: No more reservables available. Data type: Boolean |
| result.nextFavIndex | Index for the next favorite reservable for the user. Use this value when paginating through the user's favorite reservables. Data type: Number |
| result.nextItemIndex | Index for the next reservable record to fetch. Use this value when paginating through reservable records. Data type: Number |
| result.reservableContainers | Only returned for reservable modules whose selection_type field is set to <kbd class="ph userinput">container</kbd>. A container is a grouping of similar items, such as a group of desks. Data type: Array of Objects "reservableContainers": [ { "building": {Object}, "campus": {Object}, "capacity": Number, "display_value": "String", "floor": {Object}, "image": {Object} "sys_id": "String" } ] |
| result.reservableContainers.building | Details about the building associated with the reservable container. Data type: Object "building": { "display_value": "String", "name": "String", "sys_id": "String" } |
| result.reservableContainers.building.​display_value | Display value for the building. Data type: String |
| result.reservableContainers.building.name | Name of the building. Data type: String |
| result.reservableContainers.building.sys_id | Sys_id of the associated building record. Data type: String |
| result.reservableContainers.campus | Details about the campus on which the reservable is located. Located in the Campus \[sn_wsd_core_campus\] table. Data type: Object "campus": { "display_value": "String", "name": "String", "sys_id": "String" } |
| result.reservableContainers.campus.​display_value | Display number of the Campus on which the reservable resides, such as East Bay. Data type: String |
| result.reservableContainers.campus.name | Name of the campus. Data type: String |
| result.reservableContainers.campus.sys_id | Sys_id of the associated record. Located in the Campus \[sn_wsd_core_campus\] table. Data type: String |
| result.reservableContainers.capacity | Maximum number of occupants for the reservable. Data type: Number |
| result.reservableContainers.display_value | Display value for the reservable container. Data type: String |
| result.reservableContainers.floor | Details about the floor associated with the reservable container. Data type: Object "floor": { "display_value": "String", "name": "String", "sys_id": "String" } |
| result.reservableContainers.floor.​display_value | Display number of the floor on which the reservable resides, such as 12. Data type: String |
| result.reservableContainers.floor.name | Name of the floor on which the reservable resides. Data type: String |
| result.reservableContainers.floor.sys_id | Sys_id of the associated record in the Floor \[sn_wsd_core_floor\] table. Data type: String |
| result.reservableContainers.image | Link to an image that represents the layout for this reservable. Located in the Images \[db_image\] table. Data type: String |
| result.reservableContainers.image.link | Link to an image that represents the layout for this reservable. Located in the Images \[db_image\] table. Data type: String |
| result.reservableContainers.image.sys_id | Sys_id of the associated image record. Data type: String |
| result.reservableContainers.sys_id | Sys_id of the associated container record. The table in which this resides can be configured for any container type. By default it is in the Area \[sn_wsd_core_area\] table. Data type: String |
| result.reservableUnits | Details about the reservable units that match the specified search criteria. A reservable unit is a singe reservable item such as a desk or a chair. Data type: Object "reservableUnits": [ { "area": "String", "availableTimes": [Array], "building": {Object}, "campus": {Object}, "capacity": "String", "defaultPrivacyValue": Boolean, "description": "String", "email": "String", "external_id": "String", "floor": {Object}, "image": {Object}, "includedInResult": Boolean, "is_available": Boolean, "is_favorite": Boolean, "is_reservable": "String", "is_reserved": Boolean, "is_selected": Boolean, "location_type": {Object}, "name": "String", "number": "String", "order": "String", "require_approval": Boolean, "requires_check_in": Boolean, "reservable_quantity": "String", "showPrivacyOption": Boolean, "site": {Object}, "standard_services": [Array], "tableName": "String", "title": "String", "reservable_purposes": [Array], "reservations": [Array], "sys_id": "String" } ] |
| result.reservableUnits.area | Details about the area in which the reservable module is located. Located in the Area \[sn_wsd_core_area\] table. Data type: Object "area": { "display_value": "String", "sys_id": "String" } |
| result.reservableUnits.area.display_value | Display value for the reservable module area. Data type: String |
| result.reservableUnits.area.sys_id | Sys_id of the area record associated with the reservable. Data type: String |
| result.reservableUnits.availableTimes | List of dates/times that the associated reservable is available. Data type: Array |
| result.reservableUnits.building | Details about the building in which the reservable is located. Located in the Building \[sn_wsd_core_building\] table. Data type: Object "building": { "display_value": "String", "sys_id": "String" } |
| result.reservableUnits.building.display_value | Display value for the building. Data type: String |
| result.reservableUnits.building.sys_id | Sys_id of the associated building record. Data type: String |
| result.reservableUnits.campus | Details about the campus on which the reservable is located. Located in the Campus \[sn_wsd_core_campus\] table. Data type: Object "campus": { "display_value": "String", "sys_id": "String" } |
| result.reservableUnits.campus.display_value | Display number of the Campus on which the reservable resides, such as East Bay. Data type: String |
| result.reservableUnits.campus.sys_id | Sys_id of the associated record. Located in the Campus \[sn_wsd_core_campus\] table. Data type: String |
| result.reservableUnits.capacity | Maximum number of occupants for the reservable. Data type: Number |
| result.reservableUnits.description | Brief description of the reservable. Data type: String |
| result.reservableUnits.email | Email address for the reservable. Data type: String |
| result.reservableUnits.external_id | External ID of the reservable used to sync a space mapped in CMS. This value is only populated if there is a map associated with this location. Data type: String |
| result.reservableUnits.floor | Details about the floor on which the reservable is located. Located in the Floor \[sn_wsd_core_floor\] table. Data type: Object "floor": { "display_value": "String", "sys_id": "String" } |
| result.reservableUnits.floor.display_value | Display number of the floor on which the reservable resides, such as 12. Data type: String |
| result.reservableUnits.floor.sys_id | Sys_id of the associated record in the Floor \[sn_wsd_core_floor\] table. Data type: String |
| result.reservableUnits.image | Details about an image that represents the layout for the associated reservable. Located in the Images \[db_image\] table. "image": { "link": "String", "sys_id": "String" } |
| result.reservableUnits.image.link | Link to an image that represents the layout for this reservable. Located in the Images \[db_image\] table. Data type: String |
| result.reservableUnits.image.sys_id | Sys_id of the associated image record. Data type: String |
| result.reservableUnits.includedInResult | Flag that indicates whether the current reservable is included in the return results. Valid values: * true: Included in the return results. * false: Not included in the return results. Data type: Boolean |
| result.reservableUnits.is_available | Flag that indicates whether the reservable is available to reserve. Valid values: * true: Available to reserve. * false: Not available to reserve. Data type: Boolean |
| result.reservableUnits.is_favorite | Flag that indicates whether the reservable is flagged as one of the associated user's favorites. Valid values: * true: Favorite. * false: Not a favorite. Data type: Boolean |
| result.reservableUnits.is_reservable | Flag that indicates whether it's possible to reserve this reservable. Note: If the include_unavailable_items query parameter is set to true, unavailable locations are also returned. In this case, if a location is already reserved, then the is_available parameter is false, but is_reservable is true. Valid values: * true: Available to reserve. * false: Not available to reserve. Data type: Boolean |
| result.reservableUnits.is_reserved | Flag that indicates whether the reservable is already reserved. Valid values: * true: Available to reserve. * false: Already reserved. Data type: Boolean |
| result.reservableUnits.is_selected | Flag that indicates whether the reservable is already reserved. Valid values: * true: Available to reserve. * false: Already reserved. Data type: Boolean |
| result.reservableUnits.location_type | Details about the type of location of the reservable, such as workplace/desk, cafe, or gym. Located in the Workplace Location \[sn_wsd_core_workplace_location\] table. "location_type": { "display_value": "String", "name": "String", "sys_id": "String" } |
| result.reservableUnits.location_type.​display_value | Display value of the location type. Data type: String |
| result.reservableUnits.location_type.name | Name of the location type, such as basement or storage. Same as display value. Data type: String |
| result.reservableUnits.location_type.sys_id | Sys_id of the associated record in the Space Type \[sn_wsd_core_space_type\] table. Data type: String |
| result.reservableUnits.name | Name of the reservable. Data type: String |
| result.reservableUnits.number | Unique identifier of the reservable. This value is more human readable than the sys_id. Data type: String |
| result.reservableUnits.order | Order number for the reservable. Data type: Number |
| result.reservableUnits.require_approval | Flag that indicates whether reserving the reservable requires an approval. Possible values: * true: Approval required. * false: Approval isn't required. Data type: Boolean |
| result.reservableUnits.requires_check_in | Flag that indicates whether the reservable requires the user to check in. Valid values: * true: Check in required. * false: Check in isn't required. Data type: Boolean |
| result.reservableUnits.reservable_purposes | Details about the purpose for reserving the associated reservable. Data type: Array of Objects "reservable_purposes": [ { "name": "String", "short_description": "String", "sys_id": "String" } ] |
| result.reservableUnits.reservable_purposes.​name | Name of the reservable. Data type: String |
| result.reservableUnits.reservable_purposes.​short_description | Brief description of the reservable. Data type: String |
| result.reservableUnits.reservable_purposes.​sys_id | Sys_id of the reservable purpose record. Located in the Reservable Purpose \[sn_wsd_rsv_reservable_purpose\] table. Data type: String |
| result.reservableUnits.reservations | Details about the reservations associated with the reservable. Only populated if the include_reservations_within_days query parameter is true and the reservation_ids parameter contains reservation IDs, meaning there are reservations already present for this reservable. Data type: Array of Objects "reservations": [ { "configuration_item": "String", "end": "String", "is_collided": Boolean, "location": {Object}, "number": "String", "requested_for": {Object}, "reservation_purpose": {Object}, "start": "String", "state": {Object}, "subject": "String", "sys_id": "String" } ] |
| result.reservableUnits.reservations.​configuration_item | Configuration items corresponding to the reservation. Located in the cmdb_ci table. Data type: String |
| result.reservableUnits.reservations.end | Reservation end date and time. Data type: String Format: UTC: yyyy-mm-ddThh:mm:ssZ, such as 2021-02-05T18:00:00Z |
| result.reservableUnits.reservations.is_collided | Flag that indicates whether the reservation collides with the start and end time of the search. This indicates that the associated reservable location is already reserved for the specified search timespan. Possible values: * true: Collision. * false: No collision. Data type: Boolean |
| result.reservableUnits.reservations.location | Details about the location of the reservation. Data type: Object "location": { "location": "String", "timezone": {Object} } |
| result.reservableUnits.reservations.location.​location | Sys_id of the associated location record. Located in the Workplace Location \[sn_wsd_core_workplace_location\] table. Data type: String |
| result.reservableUnits.reservations.location.​timezone | Details about the time zone associated with the location. Data type: Object "timezone": { "displayValue": "String", "value": "String" } |
| result.reservableUnits.reservations.location.​timezone.displayValue | Display value for the time zone to which this location belongs. Data type: String |
| result.reservableUnits.reservations.location.​timezone.value | Internal value for the time zone to which this location belongs. Data type: String |
| result.reservableUnits.reservations.number | Unique identifier of the reservable. This value is more human readable than the sys_id. Data type: String |
| result.reservableUnits.reservations.​requested_for | Details about the person for whom the reservation was requested on behalf of. Data type: Object "requested_for": { "name": "String", "sys_id": "String" } |
| result.reservableUnits.reservations.​requested_for.name | Name of the user for whom the reservation was requested for. Data type: String |
| result.reservableUnits.reservations.​requested_for.sys_id | Sys_id of the user for whom the reservation is being requested. Located in the User \[sys_user\] table. Data type: String |
| result.reservableUnits.reservations.​reservation_purpose | Details about the purpose of the reservation. Data type: Object "reservation_purpose": { "display_value": "String," "value": "String" } |
| result.reservableUnits.reservations.​reservation_purpose.display_value | Display value for the purpose of the reservation, such as Company meeting. Data type: String |
| result.reservableUnits.reservations.​reservation_purpose.value | Internal value for the purpose of the reservation, such as company_meeting. Data type: String |
| result.reservableUnits.reservations.start | Reservation start date and time. Data type: String Format: UTC - yyyy-mm-ddThh:mm:ssZ, such as 2021-02-05T18:00:00Z |
| result.reservableUnits.reservations.state | Details about the state of the reservation for the location. Data type: Object "state": { "display_value": "String," "value": "String" } |
| result.reservableUnits.reservations.state.​display_value | Display value for the current state of the reservation, such as confirmed. Data type: String |
| result.reservableUnits.reservations.state.value | Internal value for the current state of the reservation, such as 2. Data type: String |
| result.reservableUnits.reservations.subject | Reservation's subject. Data type: String |
| result.reservableUnits.reservations.sys_id | Required. Sys_id of the reservation record. Located in the Workplace Reservation \[sn_wsd_rsv_reservation\] table. Data type: String |
| result.reservableUnits.reservable_quantity | Maximum number of times the associated reservable can be reserved for the same time. This value is used when assigning neighborhood spaces to an area. Data type: Integer |
| result.reservableUnits.site | Details about the site where the reservable resides. Located in the Site \[sn_wsd_core_site\] table. "site": { "display_value": "String", "sys_id": "String" } |
| result.reservableUnits.site.display_value | Display value of the site. Data type: String |
| result.reservableUnits.site.sys_id | Sys_id of the associated site record in the Site \[sn_wsd_core_site\] table. Data type: String |
| result.reservableUnits.standard_services | Associated standard services, such as flip chart, projector screen, and whiteboard and markers. Data type: Array of Objects "standard_services": [ { "font_awesome_icon": "String", "name": "String", "short_description": "String", "sys_id": "String" } ] |
| result.reservableUnits.standard_services.​font_awesome_icon | Name of the thumbnail icon associated with the standard service. Data type: String |
| result.reservableUnits.standard_services.name | Name of the thumbnail icon associated with the standard service. Data type: String |
| result.reservableUnits.standard_services.​short_description | Brief description of the standard service. Data type: String |
| result.reservableUnits.standard_services.sys_id | Sys_id of the standard service record. Located in the Standard Service \[sn_wsd_rsv_standard_service\] table. Data type: String |
| result.reservableUnits.sys_id | Sys_id of the reservable record. Located in the Workplace Location \[sn_wsd_core_workplace_location\] table. Data type: String |
| result.reservableUnits.tableName | Name of the table in which the reservable record resides. Data type: String |
| result.reservableUnits.title | Title of the reservable. Data type: String |
| result.totalProcessed | Total number of records processed. Data type: Number |
[ ]

### cURL request {#wsd_search-GET-reservable__example_w3q_yn1_hzb}

This example shows how to search for reservables using this endpoint. Note: Line breaks have been added to the query parameters for easier reading.

    curl "https://instance.servicenow.com/api/sn_wsd_rsv/search/reservable?
    reservable_module=d9864189c3653910977396cb05013100&
    start=2023-10-12T10:30:00Z&
    end=2023-10-13T11:30:00Z&
    include_standard_services=true&
    include_reservable_purposes=true&
    include_reservations_within_days=true&
    include_unavailable_items=true&
    near_by_location_id=undefined&
    timezone=Europe/Paris&
    page_size=6&
    sort_by=a_z&
    view=schedule&
    rsv_path=browse_all&
    ignore_same_day_validation=true&
    schedule_view_obj={"schedule_view_date":"2023-10-12","timezone":"Europe/Paris"}&
    q=building=dea39b1977220110b3d7be377b5a9955\
    --request GET \
    --header "Accept:application/json" 
    --user "username":"password"

Return results:

    {
      "result": {
        "hasMore": true,
        "reservableUnits": [
          {
            "sys_id": "fe1f744edb7650106c731dcd139619ca",
            "external_id": null,
            "email": null,
            "name": "Aspen",
            "title": "Aspen",
            "description": "A room with large windows, dark leather seats and a large wooden table.",
            "image": {
              "sys_id": "41c74902dbb650106c731dcd13961944",
              "link": "41c74902dbb650106c731dcd13961944.iix"
            },
            "number": "ROOM0000903",
            "site": {
              "sys_id": "628eec06db7650106c731dcd139619dd",
              "display_value": "North America"
            },
            "campus": {
              "sys_id": "82b2a0cedb3650106c731dcd139619e9",
              "display_value": "California Campus"
            },
            "building": {
              "sys_id": "94e264cedb3650106c731dcd13961919",
              "display_value": "CAL-B1"
            },
            "floor": {
              "sys_id": "2f554296dbba10106c731dcd139619ed",
              "display_value": "Floor 2"
            },
            "area": null,
            "capacity": "16",
            "reservable_quantity": null,
            "location_type": {
              "sys_id": "20713b83eb512010b89bfdfc9c522899",
              "display_value": "Room",
              "name": "Room"
            },
            "order": null,
            "requires_check_in": null,
            "is_reservable": "1",
            "tableName": "sn_wsd_core_room",
            "require_approval": false,
            "standard_services": [
              {
                "sys_id": "9b01458edb7650106c731dcd13961945",
                "name": "Flip chart",
                "short_description": "Flip chart with paper sheets",
                "font_awesome_icon": "fa-calendar-o"
              }
            ],
            "reservable_purposes": [
              {
                "sys_id": "18f4c3cd1ba4e01051848489cc4bcb82",
                "name": "Board room",
                "short_description": null
              }
            ],
            "is_available": true,
            "reservations": [
              {
                "sys_id": "5fe65830874bc9106342b846dabb352b",
                "number": "WRES0001001",
                "location": {
                  "location": "fe1f744edb7650106c731dcd139619ca",
                  "timezone": {
                    "value": "US/Pacific",
                    "displayValue": "US/Pacific"
                  }
                },
                "configuration_item": null,
                "start": "2022-04-23T08:30:00Z",
                "end": "2022-04-23T09:30:00Z",
                "subject": null,
                "reservation_purpose": {
                  "value": "meeting",
                  "display_value": "Meeting"
                },
                "state": {
                  "value": "confirmed",
                  "display_value": "Confirmed"
                },
                "is_collided": false,
                "requested_for": {
                  "sys_id": "2de07e1887cb89106342b846dabb35fe",
                  "name": "Workplace User"
                }
              }
            ],
            "availableTimes": [
              [
                "2022-04-23 07:00:00",
                "2022-04-23 08:30:00"
              ],
              [
                "2022-04-23 09:30:00",
                "2022-04-23 23:00:00"
              ]
            ],
           "is_reserved": true,
           "is_selected": true,
[...]
